## this function introduces a ceiling effect that includes some error (i.e. not a simple thresholding). 


ceiling_effect = function(y, ceiling = 66) {
	
	if (y <  ceiling) { return(y) }
	# if (y >= ceiling) { return(66 - rexp(1)) }
	if (y >= ceiling) { return(66) }
	
}